> This page is for Taurus PROTECT, version v3.48.
> For other versions, use one of these documentation indexes:
> - v3.58 (default): https://taurushq.ferndocs.com/protect-capital/v3.58/llms.txt
> - v3.56: https://taurushq.ferndocs.com/protect-capital/v3.56/llms.txt
> - v3.54: https://taurushq.ferndocs.com/protect-capital/v3.54/llms.txt
> - v3.52: https://taurushq.ferndocs.com/protect-capital/v3.52/llms.txt
> - v3.50: https://taurushq.ferndocs.com/protect-capital/v3.50/llms.txt
> - v3.48: https://taurushq.ferndocs.com/protect-capital/v3.48/llms.txt
> - v3.46: https://taurushq.ferndocs.com/protect-capital/v3.46/llms.txt
> - v3.44: https://taurushq.ferndocs.com/protect-capital/v3.44/llms.txt
> - v3.42: https://taurushq.ferndocs.com/protect-capital/v3.42/llms.txt
> - v3.40: https://taurushq.ferndocs.com/protect-capital/v3.40/llms.txt
> - v3.38: https://taurushq.ferndocs.com/protect-capital/v3.38/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://taurushq.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://taurushq.ferndocs.com/_mcp/server.

# List pledges withdrawals

GET https://your-protect-instance.example.com/api/rest/v1/tn/pledges/withdrawals

This endpoint returns a list of pledges withdrawals.

Reference: https://taurushq.ferndocs.com/protect-capital/reference/taurus-network-pledges/list-withdrawals

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `pledgeID` (string, optional) — The ID of the pledge for which to retrieve withdrawals.
- `sortOrder` (string, optional) — Set this parameter to ASC to get the id sorted in ascending order or DESC to get them in descending order. By default, the order is DESC.
- `cursor.currentPage` (string, optional) — Base64-encoded string representing the current window of data
- `cursor.pageRequest` (string, optional) — The page to request, w.r.t the current page. Can be one of `FIRST`, `PREVIOUS`, `NEXT`, `LAST`
- `cursor.pageSize` (string, optional) — The size of the page requested. The handling service should impose a hard limit on this
- `withdrawalStatus` (string, optional) — Filter the withdrawals by specifying the status of the withdrawals. Possible values are: PENDING, CONFIRMED, REJECTED.

## Response

### 200

A successful response.

- `withdrawals` (list of tgvalidatordTnPledgeWithdrawal, optional)
- `cursor` (tgvalidatordResponseCursor, optional)

## Errors

### 400 Bad Request Error

Bad Request: indicates that the server cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, or deceptive request routing)

- `any`

### 401 Unauthorized Error

Unauthorized: indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource

- `any`

### 403 Forbidden Error

Forbidden: indicates that the server understands the request but refuses to authorize it

- `any`

### 404 Not Found Error

Not Found: indicates that the server cannot find the requested resource

- `any`

### 500 Internal Server Error

Internal Server Error: indicates that the server encountered an unexpected condition that prevented it from fulfilling the request

- `any`

### 503 Service Unavailable Error

Service Unavailable: indicates that the server is not ready to handle the request.

- `any`

## Types

### tgvalidatordTnPledgeWithdrawal

- `id` (string, optional)
- `pledgeID` (string, optional)
- `destinationSharedAddressID` (string, optional)
- `amount` (string, optional)
- `status` (string, optional)
- `txHash` (string, optional)
- `txID` (string, optional)
- `requestID` (string, optional)
- `txBlockNumber` (string, optional)
- `trails` (list of tgvalidatordTnPledgeWithdrawalTrail, optional)
- `createdAt` (datetime, optional)
- `initiatorParticipantID` (string, optional)
- `externalReferenceID` (string, optional)

### tgvalidatordResponseCursor

- `currentPage` (string, optional)
- `hasPrevious` (boolean, optional) — Hints for UI to display whether a previous and/or next page of data are available.
- `hasNext` (boolean, optional)

### tgvalidatordTnPledgeWithdrawalTrail

- `id` (string, optional)
- `pledgeWithdrawalID` (string, optional)
- `addressCommandID` (string, optional)
- `participantID` (string, optional)
- `action` (string, optional)
- `comment` (string, optional)
- `createdAt` (datetime, optional)

## Examples

**Response**

```json
{
  "withdrawals": [
    {
      "id": "string",
      "pledgeID": "string",
      "destinationSharedAddressID": "string",
      "amount": "string",
      "status": "string",
      "txHash": "string",
      "txID": "string",
      "requestID": "string",
      "txBlockNumber": "string",
      "trails": [
        {
          "id": "string",
          "pledgeWithdrawalID": "string",
          "addressCommandID": "string",
          "participantID": "string",
          "action": "string",
          "comment": "string",
          "createdAt": "2024-01-15T09:30:00Z"
        }
      ],
      "createdAt": "2024-01-15T09:30:00Z",
      "initiatorParticipantID": "string",
      "externalReferenceID": "string"
    }
  ],
  "cursor": {
    "currentPage": "string",
    "hasPrevious": true,
    "hasNext": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://your-protect-instance.example.com/api/rest/v1/tn/pledges/withdrawals"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://your-protect-instance.example.com/api/rest/v1/tn/pledges/withdrawals';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://your-protect-instance.example.com/api/rest/v1/tn/pledges/withdrawals"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your-protect-instance.example.com/api/rest/v1/tn/pledges/withdrawals")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://your-protect-instance.example.com/api/rest/v1/tn/pledges/withdrawals")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-protect-instance.example.com/api/rest/v1/tn/pledges/withdrawals', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://your-protect-instance.example.com/api/rest/v1/tn/pledges/withdrawals");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://your-protect-instance.example.com/api/rest/v1/tn/pledges/withdrawals")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```